package domain


type AlibabaWdkItemFuturepriceQueryMzPromotionDto struct {
    /*
        活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        活动名称     */
    Name  *string `json:"name,omitempty" `

    /*
        买赠活动文案     */
    MzDisplayText  *string `json:"mz_display_text,omitempty" `

    /*
        活动开始时间     */
    StartTime  *string `json:"start_time,omitempty" `

    /*
        活动结束时间     */
    EndTime  *string `json:"end_time,omitempty" `

}

func (s *AlibabaWdkItemFuturepriceQueryMzPromotionDto) SetActId(v int64) *AlibabaWdkItemFuturepriceQueryMzPromotionDto {
    s.ActId = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryMzPromotionDto) SetName(v string) *AlibabaWdkItemFuturepriceQueryMzPromotionDto {
    s.Name = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryMzPromotionDto) SetMzDisplayText(v string) *AlibabaWdkItemFuturepriceQueryMzPromotionDto {
    s.MzDisplayText = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryMzPromotionDto) SetStartTime(v string) *AlibabaWdkItemFuturepriceQueryMzPromotionDto {
    s.StartTime = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryMzPromotionDto) SetEndTime(v string) *AlibabaWdkItemFuturepriceQueryMzPromotionDto {
    s.EndTime = &v
    return s
}
